System.Design 1.0.5000.0 2.0.0.0 System.Object System.ComponentModel.Design.IInheritanceService System.IDisposable

The can be used to find inherited components, select which ones to ignore, and retrieve the inheritance attribute of each inherited class that is tracked by the service.

Provides a set of methods for identifying inherited components.

- Constructor
  To be added.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` ``

  This method searches all the fields of all base classes of the specified component. Each field that implements is added to the specified container.

  Adds the components inherited by the specified component to the .

  The component to search for inherited components to add to the specified container. The container to add the inherited components to. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` ``

  This method searches all the fields of all base classes of component. Each field that implements is added to an internal list that stores an that identifies the inheritance level of the component. The component is then added to the specified container.

  Adds the components of the specified type that are inherited by the specified component to the .

  The base type to search for. The component to search for inherited components to add to the specified container. The container to add the inherited components to. 1.0.5000.0 2.0.0.0
- Method
  System.Void

  Calling allows the resources used by the to be reallocated for other purposes. For more information about , see Cleaning Up Unmanaged Resources.

  Releases all resources used by the .

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Void ``

  This method is called by the public Dispose() method and the method. Dispose() invokes the protected Dispose(Boolean) method with the parameter set to true. invokes Dispose with set to false.

  When the parameter is true, this method releases all resources held by any managed objects that this references. This method invokes the Dispose() method of each referenced object.

  Releases the unmanaged resources used by the and optionally releases the managed resources.

  true to release both managed and unmanaged resources; false to release only unmanaged resources.
- Method
  System.ComponentModel.InheritanceAttribute ``

  If the component is not inherited, this method returns the value . Otherwise, it returns the inheritance attribute for this component.

  Gets the inheritance attribute of the specified component.

  An that describes the level of inheritance that this component comes from.

  The component to retrieve the inheritance attribute for. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` To be added.

  Indicates whether to ignore the specified member.

  true if the specified member should be included in the set of inherited components; otherwise, false.

  The member to check. This member is either a or a . The component instance this member is bound to. 1.0.5000.0 2.0.0.0